.TH wxCommandEvent 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxCommandEvent \- See external documentation: wxCommandEvent\&.
.SH DESCRIPTION
.LP
See external documentation: wxCommandEvent <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcommandevent\&.html>\&. 
.RS 2
.TP 4
.B
Use wxEvtHandler:connect/3 with EventType::
\fIcommand_button_clicked\fR, \fIcommand_checkbox_clicked\fR, \fIcommand_choice_selected\fR, \fIcommand_listbox_selected\fR, \fIcommand_listbox_doubleclicked\fR, \fIcommand_text_updated\fR, \fIcommand_text_enter\fR, \fIcommand_menu_selected\fR, \fIcommand_slider_updated\fR, \fIcommand_radiobox_selected\fR, \fIcommand_radiobutton_selected\fR, \fIcommand_scrollbar_updated\fR, \fIcommand_vlbox_selected\fR, \fIcommand_combobox_selected\fR, \fIcommand_tool_rclicked\fR, \fIcommand_tool_enter\fR, \fIcommand_checklistbox_toggled\fR, \fIcommand_togglebutton_clicked\fR, \fIcommand_left_click\fR, \fIcommand_left_dclick\fR, \fIcommand_right_click\fR, \fIcommand_set_focus\fR, \fIcommand_kill_focus\fR, \fIcommand_enter\fR
.RE
.LP
See also the message variant #wxCommand{} event record type\&.
.LP
This class is derived (and can use functions) from: 
.br
wxEvent 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxCommandEvent()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
getClientData(This::wxCommandEvent()) -> term()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcommandevent\&.html#wxcommandeventgetclientobject>\&.
.RE
.LP
.B
getExtraLong(This::wxCommandEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcommandevent\&.html#wxcommandeventgetextralong>\&.
.RE
.LP
.B
getInt(This::wxCommandEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcommandevent\&.html#wxcommandeventgetint>\&.
.RE
.LP
.B
getSelection(This::wxCommandEvent()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcommandevent\&.html#wxcommandeventgetselection>\&.
.RE
.LP
.B
getString(This::wxCommandEvent()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcommandevent\&.html#wxcommandeventgetstring>\&.
.RE
.LP
.B
isChecked(This::wxCommandEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcommandevent\&.html#wxcommandeventischecked>\&.
.RE
.LP
.B
isSelection(This::wxCommandEvent()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcommandevent\&.html#wxcommandeventisselection>\&.
.RE
.LP
.B
setInt(This::wxCommandEvent(), I::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcommandevent\&.html#wxcommandeventsetint>\&.
.RE
.LP
.B
setString(This::wxCommandEvent(), S::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcommandevent\&.html#wxcommandeventsetstring>\&.
.RE
